> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Pipedrive

> Integrate your application with the Pipedrive API

## 🚀 Quickstart

Connect to Pipedrive with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Pipedrive*.

> [!NOTE]
>
> Nango has a [Nango-managed OAuth app](https://nango.dev/docs/guides/auth/auth-guide.md#nango-managed-oauth-apps) you can use in development and production. Select it when you create the integration.

**2. Authorize Pipedrive**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Pipedrive. Later, you'll let your users do the same directly from your app.

**3. Call the Pipedrive API**

Let's make your first request to the Pipedrive API (get a list of deals). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/v2/deals?limit=10" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/v2/deals',
>     params: {
>         limit: 10
>     },
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To use your own OAuth app instead of the Nango-managed one, follow the setup guide linked below.

## 📚 Pipedrive Integration Guides

Nango-maintained guides for common use cases.

* [How to register your own Pipedrive OAuth app](https://nango.dev/docs/api-integrations/pipedrive/how-to-register-your-own-pipedrive-oauth-app)
  Register an OAuth app with Pipedrive and obtain credentials to connect it to Nango

Official docs: [Pipedrive OAuth 2.0 Documentation](https://developers.pipedrive.com/docs/api/v1/Oauth), [Pipedrive API Documentation](https://pipedrive.readme.io/docs/core-api-concepts-about-pipedrive-api)

## 🧩 Pre-built syncs & tools for Pipedrive

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `create-activity` | Create a new activity in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-deal` | Create a deal in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-lead` | Create a lead in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-note` | Create a note in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-organization` | Create a organization in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-person` | Create a person in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-pipeline` | Create a pipeline in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-product` | Create a product in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-stage` | Create a stage in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-activity` | Delete or archive a activity in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-deal` | Delete or archive a deal in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-lead` | Delete or archive a lead in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-note` | Delete or archive a note in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-organization` | Delete or archive a organization in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-person` | Delete or archive a person in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-pipeline` | Delete or archive a pipeline in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-product` | Delete or archive a product in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-stage` | Delete or archive a stage in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-activity` | Retrieve a single activity from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-deal` | Retrieve a single deal from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-lead` | Retrieve a single lead from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-note` | Retrieve a single note from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-organization` | Retrieve a single organization from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-person` | Retrieve a single person from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-pipeline` | Retrieve a single pipeline from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-product` | Retrieve a single product from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-stage` | Retrieve a single stage from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-user` | Retrieve a single user from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-activities` | List activities from Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-deals` | List deals from Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-leads` | List leads from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-notes` | List notes from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-organizations` | List organizations from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-persons` | List persons from Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-pipelines` | List pipelines from Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-products` | List products from Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-stages` | List stages from Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-users` | List users from Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-activity` | Update a activity in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-deal` | Update a deal in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-lead` | Update a lead in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-note` | Update a note in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-organization` | Update a organization in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-person` | Update a person in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-pipeline` | Update a pipeline in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-product` | Update a product in Pipedrive. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-stage` | Update a stage in Pipedrive | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `activities` | Sync activities from Pipedrive | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `deals` | Sync deals from Pipedrive. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `leads` | Sync leads from Pipedrive. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `notes` | Sync notes from Pipedrive | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `organizations` | Sync organizations from Pipedrive. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `persons` | Sync persons from Pipedrive. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `pipelines` | Sync pipelines from Pipedrive. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `products` | Sync products from Pipedrive. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `stages` | Sync stages from Pipedrive | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `users` | Sync users from Pipedrive. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.